Skip to main content
PUT
/
v1
/
widgets
/
{id}
Update Widget
curl --request PUT \
  --url https://api.oviond.com/v1/widgets/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_type": "<string>",
  "source_id": "<string>",
  "page_id": "<string>",
  "client_id": "<string>",
  "chart": "<string>",
  "chart_type": "<string>",
  "chart_group": "<string>",
  "state": "<string>",
  "title": "<string>",
  "text": "<string>",
  "name": "<string>",
  "auto_generated_name": "<string>",
  "heading": "<string>",
  "align": "<string>",
  "link": "<string>",
  "link_url": "<string>",
  "image_fit": "<string>",
  "embed_type": "<string>",
  "embed_url": "<string>",
  "embed_iframe": "<string>",
  "embed_html": "<string>",
  "size": "<string>",
  "description": "<string>",
  "content": "<string>",
  "src": "<string>",
  "url": "<string>",
  "icon": "<string>",
  "target": "<string>",
  "image_link_url": "<string>",
  "x": 123,
  "y": 123,
  "width": 123,
  "height": 123,
  "is_secondary": true,
  "icon_position": "<string>",
  "options_3d": true,
  "kpi": true,
  "blended": true,
  "row_limit": "<string>",
  "sort_order": "<string>",
  "sort_by": "<string>",
  "column_widths": {},
  "b_height": "<string>",
  "legend_position": "<string>",
  "invert_y_axis": true,
  "show_header": true,
  "show_name": true,
  "show_icon": true,
  "show_date": true,
  "show_grid_lines": true,
  "show_legends": true,
  "show_x_axis": true,
  "show_y_axis": true,
  "show_trendline": true,
  "show_totals": true,
  "show_table_filters": true,
  "show_logarithmic": true,
  "show_multiple_axes": true,
  "show_custom_date_range": true,
  "show_description": true,
  "show_container": true,
  "show_label_list": true,
  "show_chart": true,
  "expand_rows": true,
  "datasource_id": "<string>",
  "datasource_type": "<string>",
  "data_view": "<string>",
  "metrics": [
    {}
  ],
  "dimensions": [
    {}
  ],
  "filters": null,
  "advanced": {},
  "date_range": {
    "text": "Last 30 Days",
    "compare": "None",
    "include_today": false,
    "current_start": "2026-03-01",
    "current_end": "2026-03-31",
    "previous_start": "2026-02-01",
    "previous_end": "2026-02-28",
    "custom_days": 60,
    "custom_months": 3
  },
  "current_data": [
    {}
  ],
  "current_summary": {},
  "previous_data": [
    {}
  ],
  "previous_summary": {},
  "series_fetched_at": "<string>",
  "created_at": null
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
source_type
string | null
source_id
string | null
page_id
string | null
client_id
string | null
type
enum<string> | null
Available options:
DATA,
TEXT,
IMAGE,
HTML,
VIDEO,
EMBED,
TITLE,
BUTTON,
GOAL
chart
string | null
chart_type
string | null
chart_group
string | null
state
string | null
title
string | null
text
string | null
name
string | null
auto_generated_name
string | null
heading
string | null
align
string | null
image_fit
string | null
embed_type
string | null
embed_url
string | null
embed_iframe
string | null
embed_html
string | null
size
string | null
description
string | null
content
string | null
src
string | null
url
string | null
icon
string | null
target
string | null
x
number | null
y
number | null
width
number | null
height
number | null
is_secondary
boolean | null
icon_position
string | null
options_3d
boolean | null
kpi
boolean | null
blended
boolean | null
row_limit
string | null
sort_order
string | null
sort_by
string | null
column_widths
object
b_height
string | null
legend_position
string | null
invert_y_axis
boolean | null
show_header
boolean | null
show_name
boolean | null
show_icon
boolean | null
show_date
boolean | null
show_grid_lines
boolean | null
show_legends
boolean | null
show_x_axis
boolean | null
show_y_axis
boolean | null
show_trendline
boolean | null
show_totals
boolean | null
show_table_filters
boolean | null
show_logarithmic
boolean | null
show_multiple_axes
boolean | null
show_custom_date_range
boolean | null
show_description
boolean | null
show_container
boolean | null
show_label_list
boolean | null
show_chart
boolean | null
expand_rows
boolean | null
datasource_id
string | null
datasource_type
string | null
data_view
string | null
metrics
object[] | null
dimensions
object[] | null
filters
unknown
advanced
object
currency
object
date_range
object
current_data
object[] | null
current_summary
object
previous_data
object[] | null
previous_summary
object
series_fetched_at
string | null
created_at
unknown

Response

Updated

success
enum<boolean>
required
Available options:
true